Bug 478347 - thinkfinger doesn't adquire fingerprints
thinkfinger doesn't adquire fingerprints
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thinkfinger (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-28 10:42 EST by Ismael Olea
Modified: 2009-12-18 02:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:25:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ismael Olea 2008-12-28 10:42:28 EST
Description of problem:

thinkfinger is not able to save the digitilized fingerprint, so it's unnusable.

Version-Release number of selected component (if applicable):

thinkfinger-0.3-8.fc9.i386 (fedora 10)
kernel-2.6.27.5-117.fc10.i686

How reproducible:

always, using it on a Lenovo x61s

Steps to Reproduce:
#  tf-tool --acquire --verbose

ThinkFinger 0.3 (http://thinkfinger.sourceforge.net/)
Copyright (C) 2006, 2007 Timo Hoenig <thoenig@suse.de>

Running in verbose mode.

* Mode: acquire
* Biometric identification record file: '/tmp/test.bir'

Initializing... done.
tf-tool: TF_STATE_SWIPE_0 (0x02)
Please swipe your finger (successful swipes 0/3, failed swipes: 0)...tf-tool: TF_STATE_SWIPE_FAILED (0x06)
Please swipe your finger (successful swipes 0/3, failed swipes: 1)...tf-tool: TF_STATE_SWIPE_0 (0x02)
Please swipe your finger (successful swipes 0/3, failed swipes: 1)...tf-tool: TF_STATE_SWIPE_SUCCESS (0x05)
Please swipe your finger (successful swipes 1/3, failed swipes: 1)...tf-tool: TF_STATE_SWIPE_1 (0x03)
tf-tool: TF_STATE_SWIPE_SUCCESS (0x05)
Please swipe your finger (successful swipes 2/3, failed swipes: 1)...tf-tool: TF_STATE_SWIPE_2 (0x04)
tf-tool: TF_STATE_SWIPE_SUCCESS (0x05)
Please swipe your finger (successful swipes 3/3, failed swipes: 1)...tf-tool: TF_STATE_ENROLL_SUCCESS (0x07)
Please swipe your finger (successful swipes 3/3, failed swipes: 1)... done.
Storing data (/tmp/test.bir)...Warning: usb_bulk_read expected to read 0x40 (read 0x20 bytes).
tf-tool: TF_STATE_COMM_FAILED (0xfe)
Could not acquire fingerprint (communication with fingerprint reader failed).
# ls -l /tmp/test.bir 
-rw------- 1 root root 0 dic 28 11:42 /tmp/test.bir
# 
  
Actual results:

the tool could stay hunged or finishing without saving the fingerprint at /tmp/test.bir

Expected results:

A digital signature saved at /tmp/test.bir

Additional info:

The bug is reported in other places: 

http://forum.thinkpads.com/viewtopic.php?p=331146
https://bugzilla.novell.com/show_bug.cgi?id=336153#c4
https://bugs.launchpad.net/ubuntu/+source/thinkfinger/+bug/214404
Comment 1 Ismael Olea 2008-12-28 10:59:42 EST
Expected results:

A digital _fingerprint_ saved at /tmp/test.bir

sorry the typo!
Comment 2 Bug Zapper 2009-11-18 04:43:02 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:25:35 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.